=== include/CMakeLists.txt ===
#
# DIET cmake local file
#

INSTALL( FILES
    DIET_client.h
    DIET_data.h
    DIET_mutex.h
    DIET_grpc.h
    DIET_server.h
    grpc.h
    DIET_admin.h

    DESTINATION
    ${INCLUDE_INSTALL_DIR}
)
