=== debian/changelog ===
diet (2.8.0-1ubuntu1) wily; urgency=medium

  * From gcc-5 inline will not work on an external function.  We are
    going to force inline to be "static inline" for gcc anyhow so elide
    the erroneous check for inline support.
  * debian/control: switch to fig2pdf as uniconvertor can no longer parse
    these .fig files; requires texlive-font-utils on Build-Depend:.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 11 Aug 2015 11:48:35 +0100

diet (2.8.0-1build4) wily; urgency=medium

  * No change rebuild against boost1.58.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 11 Aug 2015 10:47:53 +0100

diet (2.8.0-1build3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 03:39:49 +0100

diet (2.8.0-1build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 12:05:39 +0100

diet (2.8.0-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100

diet (2.8.0-1) unstable; urgency=low

  * Initial release  (Closes: #628657)

 -- Haïkel Guémar <haikel.guemar@sysfera.com>  Wed, 11 Jan 2012 10:45:12 +0100
