=== debian/control ===
Source: diet
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:  Haïkel Guémar <haikel.guemar@sysfera.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, chrpath,
 omniidl, libomniorb4-dev, uuid-dev, liblogservicecomponentbase2-dev,
 liblogservicetoolbase2-dev, libxerces-c-dev, libxqilla-dev, libboost-dev,
 libboost-regex-dev, imagemagick, python-docutils, texlive-base, latex-xcolor,
 transfig, fig2ps, latex2html, texlive-font-utils
Standards-Version: 3.9.2
Homepage: http://graal.ens-lyon.fr/DIET/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/diet.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/diet.git


Package: diet-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DIET grid middleware - agent
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 This package include agents necessary to run a DIET hierarchy.

Package: libdiet-sed2.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DIET grid middleware - sed runtime
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 This package contains runtime necessary to run DIET server daemons.

Package: libdiet-sed2.8-dev
Section: libdevel
Architecture: any
Depends: libdiet-sed2.8 (= ${binary:Version}),
         libdiet-dagda2.8-dev (= ${binary:Version}),
         ${misc:Depends}
Description: DIET grid middleware - sed development files
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 DIET development libraries and headers to build DIET server daemons.

Package: libdiet-client2.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DIET grid middleware - client runtime
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 This package contains runtime necessary to run DIET clients.

Package: libdiet-client2.8-dev
Section: libdevel
Architecture: any
Depends: libdiet-client2.8 (= ${binary:Version}),
         libdiet-dagda2.8-dev (= ${binary:Version}),
         ${misc:Depends}
Description: DIET grid middleware - client development files
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 DIET development libraries and headers to build DIET clients.

Package: libdiet-dagda2.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DIET grid middleware - dagda runtime
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 This package contains runtime necessary to run DIET elements.

Package: libdiet-dagda2.8-dev
Section: libdevel
Architecture: any
Depends: libdiet-dagda2.8 (= ${binary:Version}),
         ${misc:Depends}         
Description: DIET grid middleware - dagda development files
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 DIET development libraries and headers to build DIET based applications.

Package: libdiet-admin2.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DIET grid middleware - admin runtime
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 This package contains runtime necessary to run DIET applications
 using admin API.

Package: libdiet-admin2.8-dev
Section: libdevel
Architecture: any
Depends: libdiet-admin2.8 (= ${binary:Version}),
         libdiet-dagda2.8-dev (= ${binary:Version}),
         ${misc:Depends}
Description: DIET grid middleware - admin development files
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 DIET development libraries and headers to build DIET applications
 using admin API.

Package: diet-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: DIET grid middleware - developer documentation
 DIET (Distributed Interactive Engineering Toolbox) is a middleware designed 
 for HPC (High Performance Computing) in heterogeneous and distributed
 environments (workstations, clusters, grids, clouds).
 DIET provides a standard-compliant implementation of OGF (Open Grid Forum) 
 Grid RPC API.
 It works in a hierarchical fashion, clients requests computational 
 resources to a hierarchy of agents which will choose the most adequate 
 computational service (known as SeD or Server Daemon).
 .
 DIET is the core component of SysFera-DS HPC middleware
 (http://www.sysfera.com/SysFera-DS,10).
 .
 DIET documentation contains user manual and user FAQ in PDF forms.
