=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_configure :
	dh_auto_configure -- \
-DDIET_BUILD_EXAMPLES=OFF \
-DDIET_USE_ALT_BATCH=ON \
-DDIET_USE_CCS=OFF \
-DDIET_USE_CLOUD=OFF \
-DDIET_USE_USERSCHED=ON \
-DDIET_USE_WORKFLOW=ON \
-DDIET_WITH_MULTI_MA=ON \
-DDIET_WITH_STATISTICS=ON \
-DDIET_USE_LOG=ON \
-DDIET_BUILD_DOC=ON \
-DDOC_INSTALL_DIR=/usr/share/doc/diet-doc \

override_dh_auto_install :
	dh_auto_install --fail-missing
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/dietAgent
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/dietForwarder
	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/libDIET_*.so.*
