=== debian/watch ===
version=3
# login: diet
# pass: s6EThEs5@
http://graal.ens-lyon.fr/DIET/download.html .*/diet-(.*).tar.gz
